## ThunarLocationEntry ThunarLocationEntry |

## Functions

void | thunar_location_entry_accept_focus ()
void | thunar_location_entry_cancel_search ()
gchar * | thunar_location_entry_get_search_query ()
void | thunar_location_entry_enable_edit_done_once ()

## Signals

void | edit-done | Action
gboolean | reset | Action

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── ThunarLocationEntry

## Description

## Functions

### thunar_location_entry_accept_focus ()

    void
    thunar_location_entry_accept_focus (ThunarLocationEntry *entry,
                                        const gchar *initial_text);

### thunar_location_entry_cancel_search ()

    void
    thunar_location_entry_cancel_search (ThunarLocationEntry *entry);

Cancels the search for the location entry and its path entry.

#### Parameters

entry | The ThunarLocationEntry |

### thunar_location_entry_get_search_query ()

    gchar *
    thunar_location_entry_get_search_query
                                   (ThunarLocationEntry *entry);

Returns a copy of the search query in the text field of the path_entry of `entry` "" if the path_entry doesn't contain a search query.

It's the responsibility of the caller to free the returned string using `g_free`.

#### Parameters

entry | a ThunarLocationEntry. |

### thunar_location_entry_enable_edit_done_once ()

    void
    thunar_location_entry_enable_edit_done_once
                                   (ThunarLocationEntry *location_entry);

Request to emit the 'edit done' once, whenever the focus on the widget got lost

#### Parameters

entry | The ThunarLocationEntry |

## Signal Details

### The `“edit-done”` signal

    void
    user_function (ThunarLocationEntry *location_entry,
                   gpointer             user_data)

Emitted by `location_entry` whenever the user finished or aborted an edit operation by either changing to a directory, pressing Escape or moving the focus away from the entry.

#### Parameters

location_entry | a ThunarLocationEntry. |
user_data | user data set when the signal handler was connected. |

Flags: Action

### The `“reset”` signal

    gboolean
    user_function (ThunarLocationEntry *location_entry,
                   gpointer             user_data)

Emitted by `location_entry` whenever the user requests to reset the `location_entry` contents to the current directory. This is an internal signal used to bind the action to keys.

#### Parameters

location_entry | a ThunarLocationEntry. |
user_data | user data set when the signal handler was connected. |

Flags: Action